# Uses of Enum Class
org.apache.sysds.runtime.einsum.EOpNodeBinary.EBinaryOperand

Packages that use EOpNodeBinary.EBinaryOperand
Package
Description
org.apache.sysds.runtime.einsum

## Uses of EOpNodeBinary.EBinaryOperand in org.apache.sysds.runtime.einsum

Fields in org.apache.sysds.runtime.einsum declared as EOpNodeBinary.EBinaryOperand
Modifier and Type
Field
Description
`EOpNodeBinary.EBinaryOperand`
EOpNodeBinary.`operand`
Methods in org.apache.sysds.runtime.einsum that return EOpNodeBinary.EBinaryOperand
Modifier and Type
Method
Description
`static EOpNodeBinary.EBinaryOperand`
EOpNodeBinary.EBinaryOperand.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeBinary.EBinaryOperand[]`
EOpNodeBinary.EBinaryOperand.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.einsum that return types with arguments of type EOpNodeBinary.EBinaryOperand
Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Triple<Integer,EOpNodeBinary.EBinaryOperand,org.apache.commons.lang3.tuple.Pair<Character,Character>>`
EOpNodeBinary.`tryCombineAndCost(EOpNode n1, EOpNode n2, HashMap<Character,Integer> charToSizeMap, HashMap<Character,Integer> charToOccurences, Character outChar1, Character outChar2)`
Constructors in org.apache.sysds.runtime.einsum with parameters of type EOpNodeBinary.EBinaryOperand
Modifier
Constructor
Description
``
`EOpNodeBinary(EOpNode left, EOpNode right, EOpNodeBinary.EBinaryOperand operand)`